version: "3.9"
services:
  node-exporter:
    image: prom/node-exporter:{{ cloudstack.plugins[plugin].version }}
    container_name: {{ plugin }}
    user: root
    privileged: true
    volumes:
      - /proc:/host/proc:ro
      - /sys:/host/sys:ro
      - /:/rootfs:ro
      - /var/run/dbus/system_bus_socket:/var/run/dbus/system_bus_socket
    command: 
      - '--path.procfs=/host/proc' 
      - '--path.sysfs=/host/sys'
      - --collector.filesystem.ignored-mount-points
      - "^/(sys|proc|dev|host|etc|rootfs/var/lib/docker/containers|rootfs/var/lib/docker/overlay2|rootfs/run/docker/netns|rootfs/var/lib/docker/aufs)($$|/)"
      - --collector.systemd
      - --collector.processes
    networks:
      - node_exporter
    restart: always

networks:
  node_exporter:
    name: node_exporter
